package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.SbSubsidiaryBase;

import java.util.List;

/**
 * 子公司信息搜索类
 * @author Ethan
 */
public class SbSubsidiaryBaseSearchDto extends SearchDto<SbSubsidiaryBase> {

	private static final long serialVersionUID = 7649752662428917609L;

	List<SbSubsidiaryBase> list;

	public List<SbSubsidiaryBase> getList() {
		return list;
	}

	public void setList(List<SbSubsidiaryBase> list) {
		this.list = list;
	}

	/**
	 * 用户ID
	 */
	private Long userid;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**

	 * 编码
	 */
	private String code;

	/**
	 * 分公司名称
	 */
	private String companyName;

	/**
	 * 注册地址
	 */
	private String registerAddress;

	/**
	 * 经营地
	 */
	private String businessPlace;

	/**
	 * 备案机关编码
	 */
	private String filingAuthorityCode;

	/**
	 * 备案机关名称
	 */
	private String filingAuthorityName;

	/**
	 * 备案机关日期
	 */
	private String filingAuthorityDate;

	/**
	 * 负责人
	 */
	private String moneyPrincipal;

	/**
	 * 负责人身份证号
	 */
	private String moneyPrincipalId;

	/**
	 * 负责人手机号
	 */
	private String moneyPrincipalPhone;


	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getRegisterAddress() {
		return registerAddress;
	}

	public void setRegisterAddress(String registerAddress) {
		this.registerAddress = registerAddress;
	}

	public String getBusinessPlace() {
		return businessPlace;
	}

	public void setBusinessPlace(String businessPlace) {
		this.businessPlace = businessPlace;
	}

	public String getFilingAuthorityCode() {
		return filingAuthorityCode;
	}

	public void setFilingAuthorityCode(String filingAuthorityCode) {
		this.filingAuthorityCode = filingAuthorityCode;
	}

	public String getFilingAuthorityName() {
		return filingAuthorityName;
	}

	public void setFilingAuthorityName(String filingAuthorityName) {
		this.filingAuthorityName = filingAuthorityName;
	}

	public String getFilingAuthorityDate() {
		return filingAuthorityDate;
	}

	public void setFilingAuthorityDate(String filingAuthorityDate) {
		this.filingAuthorityDate = filingAuthorityDate;
	}

	public String getMoneyPrincipal() {
		return moneyPrincipal;
	}

	public void setMoneyPrincipal(String moneyPrincipal) {
		this.moneyPrincipal = moneyPrincipal;
	}

	public String getMoneyPrincipalId() {
		return moneyPrincipalId;
	}

	public void setMoneyPrincipalId(String moneyPrincipalId) {
		this.moneyPrincipalId = moneyPrincipalId;
	}

	public String getMoneyPrincipalPhone() {
		return moneyPrincipalPhone;
	}

	public void setMoneyPrincipalPhone(String moneyPrincipalPhone) {
		this.moneyPrincipalPhone = moneyPrincipalPhone;
	}


}
